UPDATE INSTALLER DOES NOT HAVE A ZONE OPTION?

I had downloaded the new update installer but now its seem that it does not have a zone option as it former one.

I need the Hebrew firmware for Sansa CLIP and I cannot get it.

What should I do?

You are right, the new updater does not give that option anymore.

But, you can always update your device manually with the firmware posted on this Forum.

If you open the thread for CLIP, you should find the right firmware for you. I think Hebrew is supported under the E/U firmware.

I hope this can help.